﻿/**Begin D:\PDM_UPGRADE\PDM1\AM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_MANAGE_TRANSFER')
 CREATE TABLE T_AM_MANAGE_TRANSFER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FORIGINORGID BIGINT DEFAULT 0 NOT NULL,
FTARGETORGID BIGINT DEFAULT 0 NOT NULL,
FTRANSFERDATE DATETIME,
FTRANSFERORID BIGINT DEFAULT 0 NOT NULL,
FTRANSFERREASON NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FCREATEORGCHANGE CHAR(1) DEFAULT '0' NOT NULL,
FUSEORGCHANGE CHAR(1) DEFAULT '0' NOT NULL,
FAPPLYORGCHANGE CHAR(1) DEFAULT '0' NOT NULL,
FDAILYBALANCECARRY CHAR(1) DEFAULT '0' NOT NULL,
FACCOUNTBANKID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_MANAGE_TRANSFER_L')
 CREATE TABLE T_AM_MANAGE_TRANSFER_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FTRANSFERREASON NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_MT_USEORG_ENTRY')
 CREATE TABLE T_AM_MT_USEORG_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTVIEW CHAR(1) DEFAULT '0' NOT NULL,
FACCOUNTNEWBILL CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_MT_INBUSINESS_ENTRY')
 CREATE TABLE T_AM_MT_INBUSINESS_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCHECKTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCHECKNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCHECKRESULT NVARCHAR(200) DEFAULT ' ' NOT NULL,
FCHECKFLAG CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_MT_BALANCE_ENTRY')
 CREATE TABLE T_AM_MT_BALANCE_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCHECKTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCHECKNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCHECKRESULT NVARCHAR(200) DEFAULT ' ' NOT NULL,
FCHECKFLAG CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_MT_CASFI_ENTRY')
 CREATE TABLE T_AM_MT_CASFI_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCHECKTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCHECKNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCHECKRESULT NVARCHAR(200) DEFAULT ' ' NOT NULL,
FCHECKFLAG CHAR(1) DEFAULT '0' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\AM_table.sql **/
