﻿/**Begin D:\PDM_UPGRADE\PDM1\AM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_AM_MANAGE_TRANSFER', 'T_AM_MANAGE_TRANSFER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_AM_MT_BILLNO') CREATE INDEX IDX_T_AM_MT_BILLNO ON T_AM_MANAGE_TRANSFER ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_AM_MT_ACCOUNTID') CREATE INDEX IDX_T_AM_MT_ACCOUNTID ON T_AM_MANAGE_TRANSFER ( FACCOUNTBANKID );


 EXEC P_ALTERPK 'PK_T_AM_MANAGE_TRANSFER_L', 'T_AM_MANAGE_TRANSFER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_AM_M_TRANSFER_L_FID') CREATE INDEX IDX_T_AM_M_TRANSFER_L_FID ON T_AM_MANAGE_TRANSFER_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_AM_MT_USEORG_ENTRY', 'T_AM_MT_USEORG_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_AM_MT_USEORG_FID') CREATE INDEX IDX_T_AM_MT_USEORG_FID ON T_AM_MT_USEORG_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_AM_MT_INBUSINESS_ENTRY', 'T_AM_MT_INBUSINESS_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_AM_MT_INBUSINESS_FID') CREATE INDEX IDX_T_AM_MT_INBUSINESS_FID ON T_AM_MT_INBUSINESS_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_AM_MT_BALANCE_ENTRY', 'T_AM_MT_BALANCE_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_AM_MT_BALANCE_FID') CREATE INDEX IDX_T_AM_MT_BALANCE_FID ON T_AM_MT_BALANCE_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_AM_MT_CASFI_ENTRY', 'T_AM_MT_CASFI_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_AM_MT_CASFI_FID') CREATE INDEX IDX_T_AM_MT_CASFI_FID ON T_AM_MT_CASFI_ENTRY ( FID );



/**End D:\PDM_UPGRADE\PDM1\AM_constraint.sql **/
