/**Begin D:\PDM_UPGRADE\PDM1\AM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AM_INACCTSTRASETTING' AND KSQL_COL_NAME IN ('FCHECKCURRENCYNAME'))
 ALTER TABLE T_AM_INACCTSTRASETTING ADD (FCHECKCURRENCYNAME NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AM_INACCTSTRASETTING' AND KSQL_COL_NAME IN ('FCHECKCURRENCYPROP'))
 ALTER TABLE T_AM_INACCTSTRASETTING ADD (FCHECKCURRENCYPROP NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AM_INACCTSTRASETTING' AND KSQL_COL_NAME IN ('FBALANCEMODELID'))
 ALTER TABLE T_AM_INACCTSTRASETTING ADD (FBALANCEMODELID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AM_INACCTSTRASETTING' AND KSQL_COL_NAME IN ('FMODELTYPEID'))
 ALTER TABLE T_AM_INACCTSTRASETTING ADD (FMODELTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AM_INACCTSTRASETTING' AND KSQL_COL_NAME IN ('FCOUNTMODELID'))
 ALTER TABLE T_AM_INACCTSTRASETTING ADD (FCOUNTMODELID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AM_INACCTSTRASETTING' AND KSQL_COL_NAME IN ('FSTRATEGYRANGE'))
 ALTER TABLE T_AM_INACCTSTRASETTING ADD (FSTRATEGYRANGE NVARCHAR(30) DEFAULT ' ' NOT NULL );

/**End D:\PDM_UPGRADE\PDM1\AM_table.sql **/

/**Begin D:\PDM_UPGRADE\PDM1\AM_table.sql **/
 EXEC p_AlterColumn 'T_AM_STRATEGY', 'FISALLOWOVER', 'NVARCHAR(30)', 'NOT NULL', '1111', '''0''';
 EXEC p_AlterColumn 'T_AM_INACCTSTRASETTING', 'FNAME', 'NVARCHAR(255)', 'NOT NULL', '0100', ''' ''';
 EXEC p_AlterColumn 'T_AM_INACCTSTRASETTING_L', 'FNAME', 'NVARCHAR(255)', 'NOT NULL', '0100', ''' ''';


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AM_STRATEGY' AND KSQL_COL_NAME IN ('FWEEKLYLIMIT'))
 ALTER TABLE T_AM_STRATEGY ADD (FWEEKLYLIMIT DECIMAL(19,4) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AM_STRATEGY' AND KSQL_COL_NAME IN ('FSEASONLYLIMIT'))
 ALTER TABLE T_AM_STRATEGY ADD (FSEASONLYLIMIT DECIMAL(19,4) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AM_STRATEGY' AND KSQL_COL_NAME IN ('FYEARLYLIMIT'))
 ALTER TABLE T_AM_STRATEGY ADD (FYEARLYLIMIT DECIMAL(19,4) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AM_STRATEGY' AND KSQL_COL_NAME IN ('FDAILYLIMITCT'))
 ALTER TABLE T_AM_STRATEGY ADD (FDAILYLIMITCT INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AM_STRATEGY' AND KSQL_COL_NAME IN ('FWEEKLYLIMITCT'))
 ALTER TABLE T_AM_STRATEGY ADD (FWEEKLYLIMITCT INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AM_STRATEGY' AND KSQL_COL_NAME IN ('FMONTHLYLIMITCT'))
 ALTER TABLE T_AM_STRATEGY ADD (FMONTHLYLIMITCT INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AM_STRATEGY' AND KSQL_COL_NAME IN ('FSEASONLYLIMITCT'))
 ALTER TABLE T_AM_STRATEGY ADD (FSEASONLYLIMITCT INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AM_STRATEGY' AND KSQL_COL_NAME IN ('FYEARLYLIMITCT'))
 ALTER TABLE T_AM_STRATEGY ADD (FYEARLYLIMITCT INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AM_STRATEGY_E' AND KSQL_COL_NAME IN ('FCHECKOPPROP'))
 ALTER TABLE T_AM_STRATEGY_E ADD (FCHECKOPPROP NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AM_STRATEGY_E' AND KSQL_COL_NAME IN ('FCHECKOPNAME'))
 ALTER TABLE T_AM_STRATEGY_E ADD (FCHECKOPNAME NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_STRATEGY_LIMITENTRY')
 CREATE TABLE T_AM_STRATEGY_LIMITENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBILLSTRATEGYID BIGINT DEFAULT 0 NOT NULL,
FCHECKOPPROP NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHECKOPNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_STRATEGY_KEEPENTRY')
 CREATE TABLE T_AM_STRATEGY_KEEPENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBILLSTRATEGYID BIGINT DEFAULT 0 NOT NULL,
FCHECKOPPROP NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHECKOPNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\AM_table.sql **/
